var AllStyles = require('../AllStyles');

var Chronograph = {
    case: {
        shape: AllStyles.shape.rounded,
        bg: AllStyles.background.steel,
    },
    color: AllStyles.color.white,
    dial: {
        shape: AllStyles.shape.rounded,
        bg: {
            color: AllStyles.background.greyFume,
            pattern: {
                type: 'randomTriangles',
                shapeCount: 66,
                colors: [
                    '#ffdd00',
                    '#f39100',
                    '#e3000f',
                    '#b71a49',
                    '#006b94',
                    '#009bb4',
                    '#94c11c',
                    '#000000'],
                opacity: .6
            }
        }
    },
    hands: {
        type: {
            hour: 'hour',
            minute: 'minute'
        },
        hour: {
            border: '1px black solid',
            color: AllStyles.background.info,
            length: '30%',
            margin: '0 20%',
            width: '4px'
        },
        minute: {
            color: AllStyles.background.danger,
            length: '45%',
            margin: '0 5%',
            width: '3px'
        }
    },
    header: 'Philadelphia',
    index: {
        color: AllStyles.background.info,
        nodeCount: AllStyles.index.type.hour,
        customNode: {
            2: {
                color: AllStyles.background.faded
            },
            3: {
                display: AllStyles.display.none
            },
            4: {
                color: AllStyles.background.faded
            },
            6: {
                display: AllStyles.display.none
            },
            8: {
                color: AllStyles.background.faded
            },
            9: {
                display: AllStyles.display.none
            },
            10: {
                color: AllStyles.background.faded
            },
            12: {
                display: AllStyles.display.none
            }
        }
    },
    grid: {
        2: {
            label: {
                color: AllStyles.color.grayLighter,
                font: AllStyles.font.monoton,
                text: 'ABC'
            }
        },
        4: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: AllStyles.background.faded
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hand: {
                color: AllStyles.background.danger
            }
        },
        6: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: AllStyles.background.faded
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hand: {
                color: AllStyles.background.danger,
                type: 'second'
            }
        },
        8: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: AllStyles.background.faded
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hand: {
                color: AllStyles.background.inverse
            },
        }
    },
    timeZone: -4
}

module.exports = Chronograph;